package info.bukova.isspst.ui.renderers;

import info.bukova.isspst.data.User;
import org.zkoss.zul.Listbox;
import org.zkoss.zul.Listitem;

/**
 * @author Pepa Rokos
 */
public class UserItemRenderer extends GenericListitemRenderer<User> {

	@Override
	protected void changeProperties(Listbox lb, Listitem li, int index, String varnm) {
		User u = getObjectOfStates();

		if (!u.isEnabled()) {
			li.setSclass("user-disabled");
		}
	}
}
